# pybedtools.bedtool.BedTool.union_bedgraphs

`BedTool.``union_bedgraphs`(*args, **kwargs)

  > Wraps `bedtools unionbedg`.

  > Warning: using the `header=True` kwarg will result in a file that is not in true BED format, which may break downstream analysis.

  Original BEDTools help::

      Tool:    bedtools unionbedg (aka unionBedGraphs)
      Version: v2.29.2
      Summary: Combines multiple BedGraph files into a single file,
               allowing coverage comparisons between them.

      Usage:   bedtools unionbedg [OPTIONS] -i FILE1 FILE2 .. FILEn
               Assumes that each BedGraph file is sorted by chrom/start
               and that the intervals in each are non-overlapping.

      Options:
              -header         Print a header line.
                              (chrom/start/end + names of each file).

              -names          A list of names (one/file) to describe each file in -i.
                              These names will be printed in the header line.

              -g              Use genome file to calculate empty regions.
                              - STRING.

              -empty          Report empty regions (i.e., start/end intervals w/o
                              values in all files).
                              - Requires the '-g FILE' parameter.

              -filler TEXT    Use TEXT when representing intervals having no value.
                              - Default is '0', but you can use 'N/A' or any text.

              -examples       Show detailed usage examples.